File: changelog

package info (click to toggle)
gtkgl2 2.0.1-2.2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, jessie, jessie-kfreebsd, sid, stretch
  • size: 1,592 kB
  • ctags: 384
  • sloc: ansic: 3,016; makefile: 93
file content (300 lines) | stat: -rw-r--r-- 10,854 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
gtkgl2 (2.0.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf to update configurey for new architectures
    (Closes: #729613)

 -- Wookey <wookey@debian.org>  Fri, 18 Jul 2014 16:29:01 +0000

gtkgl2 (2.0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ld: zktor.o: undefined reference to symbol
    'atan2@@GLIBC_2.2.5'":
    take patch libm_underlinkage.patch from Ubuntu / Daniel T Chen, apply it
    directly since there is no patch system / appropriate source format.
    (Closes: #713708)

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Nov 2013 17:33:34 +0100

gtkgl2 (2.0.1-2) unstable; urgency=low

  * debian/compat: switch to debhelper 8.
  * debian/libgtkgl2.0-dev.install: do not install .la file (Closes: #620615).

 -- Sam Hocevar <sho@debian.org>  Sun, 19 Jun 2011 19:21:58 +0200

gtkgl2 (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set debhelper version to 5.0 and policy to 3.8.2.
    + Add homepage field.
    + Reworded long description to provide more information.

 -- Sam Hocevar <sho@debian.org>  Sat, 18 Jul 2009 13:22:05 +0200

gtkgl2 (2.0.0-1) unstable; urgency=low

  * New maintainer (with permission from the QA team: more than 4 years
    since the last maintainer upload; also, I now maintain this upstream).
  * Pulled new upstream version from SVN. This snapshot has new config.guess
    and config.sub files (Closes: #414608).
  * Acknowledge previous NMUs (Closes: #376447, #318631, #181876).

  * debian/control:
    + Set policy to 3.7.3.
    + Drop the autoconf/automake/libtool build-dependencies (Closes: #376447).
    + Add Vcs control fields.
    + Set the library package section to "libs" and the -dev package section
      to "libdevel" (Closes: #156412, #372598).
    + Improved package description (Closes: #209747).
    + Build-depend on libx11-dev because the code uses XFree().

  * debian/copyright:
    + Added missing copyright holders.
    + Convert this file to UTF-8.

  * debian/rules:
    + Explicitly link the library with -lX11.

  * debian/README.Debian:
    + Removed mention of GTK+1.2 (Closes: #343501).
    + Updated example to use pkg-config instead of gtk-config and -lGL instead
      of -lMesaGL.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 17 Dec 2007 17:52:21 +0100

gtkgl2 (1.99.0-2.3) unstable; urgency=low

  * NMU.
  * debian/control: Update automake build dependency to
    automake1.9. (Closes: #376447)

 -- Eric Dorland <eric@debian.org>  Sat, 19 Aug 2006 13:09:10 -0400

gtkgl2 (1.99.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with some auto-builder

 -- Julien Danjou <acid@debian.org>  Sat, 15 Jul 2006 13:15:58 +0200

gtkgl2 (1.99.0-2.1) unstable; urgency=high

  * Non-maintainer upload during the French BSP!
  * Urgency set to high
  * Changes build-dep from xlibmesa-glu-dev to libglu1-mesa-dev (Closes: #370504)
  * Stop removing autogenerated files
  * Bump standards version
  * Update FSF address
  * Move dh_installdeb in debian/rules to include post*.debhelper

 -- Julien Danjou <acid@debian.org>  Sat, 10 Jun 2006 16:55:01 +0200

gtkgl2 (1.99.0-2) unstable; urgency=low

  * Ack NMU (closes nothing.  I'm getting tired of people doing NMUs without
    sending NMU patches, you know?)
  * debian/control: add libglu-dev to build dependencies (closes: bug#192559)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 11 May 2003 19:47:24 +0200

gtkgl2 (1.99.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against libgtk2.0-0png3.
  * Changed build-dep to libgtk2.0-dev (>= 2.0.6).

 -- Robert McQueen <robot101@debian.org>  Mon, 12 Aug 2002 10:06:12 +0100

gtkgl2 (1.99.0-1) unstable; urgency=low

  * Pulled new upstream version from CVS
  * debian/rules: clean horrible horrible packaging
  * debian/rules, debian/compat: use debhelper 4
  * debian/control: rename packages to libgtkgl2.0-dev and libgtkgl2.0-1
    This breaks packages that depend on gtkglarea.  Rename source package to
    gtkgl2.  If everything (relevant) in woody+1 is moved to GNOME 2 in
    time, gtkglarea should be removed from the distribution.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 19 May 2002 08:05:39 +0200

gtkglarea (1.2.3-1) unstable; urgency=low

  * New upstream version, thanks Steve M. Robbins (closes: bug#136694)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon,  4 Mar 2002 12:30:48 +0100

gtkglarea (1.2.2-7) unstable; urgency=low

  * configure.in: change version info to 5:0:0.  Whoever figures this
    one out gets a cookie from me.  After diff'ing arround in CVS,
    AFAICS what happened was this: upstream version 1.2.1's configure
    script read 4:0:0, 1.2.2's read 5:0:0, but (and this is the killer
    bug) 1.2.1's configure.in read 4:0:0 whilst 1.2.2 read 5:0:1.
    Upstream probably realized he had made a mistake, corrected it in
    the configure.in but the released sources still contained 5:0:0,
    making the soname version 5 instead of 4.  Since released sources
    are mandatory in this case, methinks upstream should make the same
    change.  Sent upstream.  (closes: bug#107502, bug#108045)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  9 Aug 2001 20:06:29 +0200

gtkglarea (1.2.2-6) unstable; urgency=low

  * debian/rules: The this-is-getting-boring-fast config.{sub,guess} fix.
    (closes: bug#106805)
  * debian/control: Standards-Version: 3.5.6
  * debian/rules: vacuum autogenerated stuff, .diff file is sickening.
  * debian/control: build-depends: automake, autoconf (>= 2.50), libtool

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 28 Jul 2001 19:52:01 +0200

gtkglarea (1.2.2-5.0.1) unstable; urgency=low

  * Rebuilt to get dependencies right (deja vu, if this is a joke, I don't
    get it)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue,  8 May 2001 13:35:45 +0200

gtkglarea (1.2.2-5) unstable; urgency=low

  * Rebuilt to get dependencies right (deja vu) (closes: bug#94220)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 19 Apr 2001 01:52:59 +0200

gtkglarea (1.2.2-4) unstable; urgency=low

  * Rebuilt to get dependencies right.
  * debian/control: added debhelper to Build-Depends.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 15 Apr 2001 23:23:07 +0200

gtkglarea (1.2.2-3) unstable; urgency=low

  * Your daily gtkglarea upload.
  * debian/control: Build-Depends: libgtk1.2-dev (this will come back
    and bite me I know)
  * debian/control: Build-Depends: removed dependencies pulled by
    libgtk1.2-dev
  * debian/changelog: Copied over changelog entries from 1.2.1

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  5 Oct 2000 19:40:40 +0200

gtkglarea (1.2.2-2) unstable; urgency=low

  * Fixed dependencies *sigh*

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed,  4 Oct 2000 18:37:20 +0200

gtkglarea (1.2.2-1) unstable; urgency=low

  * Taking package from Drake Diedrich (thanks Drake!) (closes: bug#68131)
  * debian/control: removed libc6-dev from Build-Depends
  * debian/control: bumped Standards Version to 3.2.1
  * debian/control: s/gtkglarea4/gtkglarea5/
  * debian/control: added Provides, Conflicts: gtkglarea-dev
  * debian/control: added Conflicts: gtkglarea4-dev
  * debian/*: moved gtkglarea4.* to gtkglarea5.*
  * debian/rules: remove Makefile.in on clean

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue,  3 Oct 2000 20:28:19 +0200

gtkglarea (1.2.1-7) unstable; urgency=low

  * Your daily gtkglarea upload.  Fixed Build-Depends.  Use libgtk1.2-dev.
    This will come back and bite me (closes: bug#74073)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  5 Oct 2000 19:32:42 +0200

gtkglarea (1.2.1-6) unstable; urgency=low

  * Ah, freaking dependencies on xlibs!  I checked for that, I really
    did this time! (closes: bug#73616)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed,  4 Oct 2000 18:11:32 +0200

gtkglarea (1.2.1-5) unstable; urgency=low

  * Taking package from Drake Diedrich (thanks Drake!) (closes: bug#68131)
  * debian/control: removed libc6-dev from Build-Depends
  * debian/control: bumped Standards Version to 3.2.1
  * debian/control: added Provides, Conflicts: gtkglarea-dev
  * debian/rules: remove Makefile.in on clean

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue,  3 Oct 2000 20:28:19 +0200

gtkglarea (1.2.1-4) unstable; urgency=low

  * Added automake invocation and appended LIBADD line to
    gtkgl/Makefile.am to add GTK and GL library dependencies.  
    (closes: #64483)
  * added libgl-dev to dependency list - required by include files
    (closes: #64482)
  * added xlib6g-dev dependency for GLwDrawAP.h #include
  * removed libc6-dev and libgtk-dev dependencies - not #included
  * removed examples, you must install full source to build them anyway
    (closes: #60089)
  * Last gtkglarea4 package, 1.2.2 will bump soname to 5.0.1

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Tue, 23 May 2000 13:34:43 +1000

gtkglarea (1.2.1-3) unstable; urgency=low

  * Added gtkgl.m4 to /usr/share/aclocal (closes: #51377)
  * Moved to /usr/share/doc and added #DEBHELPER# to postinst
  * Bumped policy compliance to 3.1.1.0

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Sun, 28 Nov 1999 02:14:49 +1100

gtkglarea (1.2.1-2) unstable; urgency=low

  * Depends on gtkglarea4 instead of gtkglarea.  Closes: #36694
  * Remove mesa-dev dependency until a virtual package exists.
  * Repacked as pristine upstream source.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Mon, 26 Apr 1999 11:25:54 +1000

gtkglarea (1.2.1) unstable; urgency=low

  * New upstream source
  * New upstream soname and binary packages renamed to gtkglarea4

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu,  1 Apr 1999 14:39:58 +1000

gtkglarea (1:0.6-4) frozen unstable; urgency=low

  * Removed self-conflict (#30290)

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu,  3 Dec 1998 09:41:17 +1100

gtkglarea (1:0.6-3) frozen unstable; urgency=low

  * Recompiled.  diff file not uploaded in -2.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu,  5 Nov 1998 20:10:31 +1100

gtkglarea (1:0.6-2) unstable; urgency=low

  * Rebuild against mesag3 and libgtk1.0
  * Remove explicit Mesa dependency, works with both mesag-dev and
    mesag2-dev
  * Could not remove Gtk1.0 dependency, GTK_OBJECT macro calls
    version dependent functions.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Wed, 14 Oct 1998 15:44:10 +1000

gtkglarea (1:0.6-1) unstable; urgency=low

  * Official upstream library and sonames, -lgtkgl not -lgtkgla
  * Switched sense of Mesa and OpenGL in description
  * New upstream release

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Tue, 13 Oct 1998 12:46:34 +1000

gtkglarea (0.980729a-1) unstable; urgency=low

  * Initial Release.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu, 24 Sep 1998 16:47:45 +1000